<?php  
namespace Concrete\Package\GntDotRender\Block\GntDotRender;

defined('C5_EXECUTE') or die("Access Denied.");

/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2014 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Concrete\Core\Block\BlockController;
use Concrete\Package\GntDotRender\Src\DotRenderer;

class Controller extends BlockController
{

	protected $btTable 								= "btDotRender";
	protected $btInterfaceWidth 					= "600";
	protected $btInterfaceHeight 					= "600";
	protected $btCacheBlockOutput 					= false;
	protected $btCacheBlockOutputOnPost 			= false;
	protected $btCacheBlockOutputForRegisteredUsers = false;

	protected $btDefaultSet 						= 'basic';

	public function getBlockTypeDescription()
	{
		return t("Renders a dot graph (using graphviz)");
	}

	public function getBlockTypeName()
	{
		return t("Dot Render");
	}

	public function getJavaScriptStrings()
	{
		return array(
			'syntax-error' => t('Some syntax errors occurred, check your dot syntax.')
		);
	}

	public function add() { $this->edit(); }
	public function edit()
	{
		$this->requireAsset( 'ace' );
	}


	public function save ( $args )
	{

		$dot = new DotRenderer();
		$dot->setBlockId( $this->bID );
		$dot->clearRelatedCache();

		if ( !isset( $args['renderCmapX'] ) ) $args['renderCmapX'] = 0;

		parent::save ( $args );
	}


}

// vim: set noexpandtab ts=4 :
