<?php  defined('C5_EXECUTE') or die(_("Access Denied."));
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2014 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use \Concrete\Package\GntDotRender\Src\DotRenderer;

$ih = Core::make( 'helper/concrete/ui');
$form = Core::make( 'helper/form' );

$refresh = URL::route( array( '/ajax/dot_image_tag', 'gnt_dot_render') );

$options = DotRenderer::getAvailableTypes();
$modes   = DotRenderer::getAvailableModes();

$leftCol = 5;

if ( !$blockCode ) $blockCode = "A -> B;\nA -> C;\n";
?>
<fieldset>

        <div class="form-group">
            <?php  echo $form->label('type', t('Dot Graph Type: '), array('class'=> "col-sm-$leftCol") ); ?>
            <div class="input col-sm-<?php echo 12-$leftCol?>">
                <?php  echo $form->select('type', $options, $type );?>
            </div>
        </div>

        <div class="form-group">
            <?php  echo $form->label('mode', t('Dot Graph Mode: '), array('class'=>"col-sm-$leftCol") ); ?>
            <div class="input col-sm-<?php echo 12-$leftCol?>">
                <?php  echo $form->select('mode', $modes, $mode );?>
            </div>
        </div>

        <div class="form-group">
            <?php  echo $form->label('renderCMapX', t('Create an imagemap '), array('class'=> "col-sm-$leftCol" )); ?>
            <div class="input col-sm-<?php echo 12-$leftCol?>">
                <?php  echo $form->checkbox('renderCmapX', 1, $renderCmapX, array( 'style' => 'display:inline-block; margin-left: 10px;' ));?>
            </div>
        </div>

        <!-- Dot Code -->
        <div class="panel panel-default" style="clear:both">
            <div class="panel-heading" style="text-align:center; font-weight:bold"><?php echo t('Dot Graph Code:')?></div>

            <?php echo $form->textarea( 'blockCode', $blockCode, array('style'=>'display: none')); ?>

            <div id="blockcode_editor_wrapper" style="border: 1px solid #ccc; background-color:#eeeeee;height:200px; margin:0; padding=0; padding-bottom:14px; ">
                <div id="blockcode_editor" style="height:200px; margin:0px "></div>
            </div>

            <script type="text/javascript">
                var dotEditor = ace.edit("blockcode_editor");
                dotEditor.setValue( $("#blockCode").val() );
                dotEditor.getSession().setMode('ace/mode/dot');
                dotEditor.setTheme('ace/theme/textmate' );
                dotEditor.clearSelection();
                $('#blockcode_editor_wrapper').resizable(
                    { resize: function(event, ui)
                      {
                        div = $('#blockcode_editor');
                        div.css( {'width': ui.element.width(), 'height': ui.element.height()} );
                        dotEditor.resize();
                      }
                    }
                );
            </script>

            <div class="panel-footer">
                <ul>
                <li><?php echo t("This code must follow the %sdot syntax%s", '<a href="http://graphviz.org/Documentation.php" target="_blank">', '</a>');?></li>
                <li><?php echo t("Basic syntax is 'A -- B;' in undirected graph and 'A -&gt; B;' in directed graph")?></li>
                <li style="font-weight:bold"><?php echo t("Do not wrap your code in a [di]graph {...} (this is handled for you)")?></li>
                </ul>
            </div>
        </div>

        
        
        <?php echo  $ih->button_js( t("Preview"), 'dotrender_preview()', 'left' ); ?>
        <div class="input">
            <div id="dotrender_preview" style="border: 1px solid black; margin-left: 85px; text-align: center;background:url(<?php echo REL_DIR_PACKAGES?>/gnt_dot_render/media/images/checker.png); position: absolute; min-width:496px;">
                <div style="height:100px;margin:0;padding:0; background-color:#ccc; opacity:0.5"></div>
            </div>
        </div>


    </fieldset>



<script type="text/javascript">

function dotrender_preview()
{
    var data = {};
    data['type'] = $("#type").val();
    data['plaincode'] = dotEditor.getValue();
    data['renderCmap'] = $("#renderCmap").val();

    $('#dotrender_preview').load( '<?php echo $refresh?>?uniquify=1&mode=' + $("#mode").val(), data );
}

$('#ccm-form-submit-button').click(function(e){
    $('#blockCode').val( dotEditor.getValue() );
});

</script>
