<?php    
namespace Concrete\Package\GntDotRender\Controller\SinglePage\Dashboard\System\Environment;
defined('C5_EXECUTE') or die(_("Acciess Denied."));
/**
 *-----------------------------------------------------------------------------*
 *                                                                             *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2014 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Package;
use \Concrete\Core\Page\Controller\DashboardPageController;
use Log;

class DotRender extends DashboardPageController
{
	public function __construct(\Concrete\Core\Page\Page $c) 
	{
		parent::__construct($c);
		$this->_errors = \Core::make( 'helper/validation/error' );
	}

	public function view()
	{
		$pkg = Package::getByHandle( 'gnt_dot_render');

		$this->set( 'errors', $this->_errors ); 
		$this->set( 'dotpath', $pkg->getDotPath() );
		$this->set( 'dotopts', $pkg->getDotOpts() );
		$this->set( 'dottemplate', $pkg->getDotTemplate() );

		$this->requireAsset( 'ace' );
	}

	public function save_global_settings()
	{
		$errors = $this->_errors;
		$pkg = Package::getByHandle( 'gnt_dot_render');

		try
		{
			$pkg->setDotPath( $this->post('dotpath') );
			$pkg->setDotOpts( $this->post('dotopts') );
			$pkg->setDotTemplate( $this->post('dottemplate') );
			$pkg->flushCache(null);
		}
		catch ( Exception $e )
		{
			$errors->add( $e->getMessage() );
			$this->view();
			return;
		}
		$this->redirect( '/dashboard/system/environment/dotrender/updated' );
	}

	public function updated()
	{
		$this->set( 'success', t('Configuration updated') );
		$this->view();
	}

}

// vim: set noexpandtab ts=4 :
