<?php  
namespace Concrete\Package\GntDotRender\Controller\SinglePage\Dashboard\System\Optimization;
defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 *                                                                             *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2014 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

use Package;
use \Concrete\Core\Page\Controller\DashboardPageController;
use \Concrete\Core\Page\Page as Page;
use Log;

class DotRender extends DashboardPageController
{

	public function __construct(Page $c) 
	{
		parent::__construct($c);
		Log::debug( "passed in controller" );

		$this->_pkg = Package::getByHandle( 'gnt_dot_render');
		$this->_errors = \Core::make( 'helper/validation/error' );
	}

	public function view()
	{
		$this->set( 'errors', $this->_errors ); 
		$this->set( 'dotUseCache', $this->_pkg->getUseCache() );
		$this->set( 'dotCachePath', $this->_pkg->getCachePath() );
	}

	public function save_cache_settings()
	{
		$errors = $this->_errors;

		if ( $this->post('ccm-submit-clear-cache') )
		{
			$this->_pkg->flushCache(null);
			$this->redirect( '/dashboard/system/optimization/dotrender/cache_cleared' );
			return;
		}

		try
		{
			$this->_pkg->setUseCache( $this->post('dotUseCache') );
			$this->_pkg->setCachePath( $this->post('dotCachePath') );
		}
		catch ( Exception $e )
		{
			$errors->add( $e->getMessage() );
			$this->view();
			return;
		}

		$this->redirect( '/dashboard/system/optimization/dotrender/updated' );
	}

	public function updated()
	{
		$this->set( 'success', t('Configuration updated') );
		$this->view();
	}

	public function cache_cleared()
	{
		$this->set( 'success', t('Dot Render cache cleared') );
		$this->view();
	}
}



// vim: set noexpandtab ts=4 :
