<?php  defined('C5_EXECUTE') or die("Access Denied.");
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright 2013 Florian Delizy <florian.delizy@gmail.com>                    *
 *-----------------------------------------------------------------------------*
 */

use \Concrete\Package\GntDotRender\Src\DotRenderer;

$form = \Core::make('helper/form');
$ui   = \Core::make('helper/concrete/ui');
$dash = \core::make('helper/concrete/dashboard');


$refresh = URL::route( array( '/ajax/dot_image_tag', 'gnt_dot_render') ) . "?uniquify=1&renderCmap=1&template=1&type=" . DotRenderer::TYPE_PNG;


if ( method_exists( $dash, 'getDashboardPaneHeaderWrapper' ) )
{
    echo $dash->getDashboardPaneHeaderWrapper(t('Dot Render Configuration'),
                                              t('Configure paths and aspects of Dot Render'),
                                              'span12', '', array(), false);
}

$action = $this->action('save_global_settings');
?>

<form id="dotrender-global-settings" method="post" action="<?php echo $action?>">
    <fieldset >

        <div class="ccm-pane-body clearfix" >

            <?php  if ( $errors) $errors->output(); ?>


            <!-- Dot Template : Dot code with placeholder, editted with Ace -->
            <div class="panel panel-default" style="clear:both">
                <div class="panel-heading" style="text-align:center; font-weight:bold"><?php echo t('Dot Template');?></div>

                <?php echo $form->textarea( 'dottemplate', $dottemplate, array('style'=>'height:100px; display: none')); ?>

                <div id="dottemplate_editor" style="border: 1px solid #ccc; height:200px; margin:0px "></div>

                <script type="text/javascript">
                dotEditor = null;

                $(function(){
                    dotEditor = ace.edit("dottemplate_editor");
                    dotEditor.setValue( $("#dottemplate").val() );
                    dotEditor.getSession().setMode('ace/mode/dot');
                    dotEditor.setTheme('ace/theme/textmate' );
                    dotEditor.clearSelection();
                });
                </script>

                <div class="panel-footer" style="clear:both">
                    <?php echo t("This template will be used to generate the image :")?>
                    <ul>
                        <li><?php echo t("%s (required) will be replaced by the actual mode 'graph' or 'digraph'", "<strong><em>%GRAPHMODE%</em></strong>")?></li>
                        <li><?php echo t("%s (required) will be replaced by the actual code", "<strong><em>%BLOCKCODE%</em></strong>")?></li>
                        <li><?php echo t("%s  (required) will be replaced by the graph ID", "<strong><em>%GRAPHID%</em></strong>")?></li>
                    </ul>
                </div>
            </div>

            <div class="panel panel-default">
                <table class="table">
                    <thead>
                        <tr><th style="text-align:center"><?php echo t('Directed Graph');?></th><th style="text-align:center"><?php echo t("Undirected Graph")?></th></tr>
                    </thead>
                    <tbody>
                        <tr >
                            <td id="dotrender_preview_digraph" style="text-align:center; vertical-align:middle; width:50%; border-right: 1px solid #ddd; background:url(<?php echo REL_DIR_PACKAGES?>/gnt_dot_render/media/images/checker.png)" >
                                <div style="height:100px;margin:0;padding:0;background-color:#ccc; opacity:0.5" class="col-sm-12"> </div>
                            </td>
                            <td id="dotrender_preview_graph"  style="text-align:center; vertical-align:middle; width:50%; border-right: 1px solid #ddd; background:url(<?php echo REL_DIR_PACKAGES?>/gnt_dot_render/media/images/checker.png)" >
                                <div style="height:100px;margin:0;padding:0;background-color:#ccc; opacity:0.5" class="col-sm-12"> </div>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="panel-footer" style="text-align:center; font-weight:bold">
                    <?php echo  $ui->button_js( t("Preview"), 'dotrender_preview()', 'left navbar-btn' ); ?>
                </div>
            </div>

            <!-- Dot Path : executable path -->
            <div class="form-group" style="text-align:right; margin-bottom: 5ex; " >
                <?php echo  $form->label('dotpath', t('dot cmd path : '), array('class' => 'col-sm-4') )?>
                <div class="input col-sm-8">
                    <?php echo $form->text( 'dotpath', $dotpath ); ?>
                </div>
            </div>

            <div class="form-group" style="text-align:right;" >
            <!-- Dot Path : Options to append to the executable-->
                <?php echo  $form->label('dotopts', t('dot cmd options : '), array( 'class' => 'col-sm-4') )?>
                <div class="input col-sm-8">
                    <?php echo $form->text( 'dotopts', $dotopts ); ?>
                </div>
            </div>


        </div>

    </fieldset>

    <div class="ccm-dashboard-form-actions-wrapper">
        <div class="ccm-dashboard-form-actions">
            <?php echo  $ui->submit(t('Save'), 'save','right','btn-primary'); ?>
        </div>
    </div>

</form>

<script type="text/javascript">

function showUIErrors()
{
    if (ccm_isBlockError) {
        jQuery.fn.dialog.hideLoader();
        if(ccm_blockError) {
            ccmAlert.notice(ccmi18n.error, ccm_blockError + '</ul>');
        }
        ccm_resetBlockErrors();
        return false;
    }
}
function dotrender_preview()
{
    var data = {};
    data['dottemplate'] = dotEditor.getValue();
    data['dotopts'] = $('#dotopts').val();
    data['dotpath'] = $('#dotpath').val();

    $('#dotrender_preview_digraph').load( '<?php echo $refresh?>&mode=<?php echo DotRenderer::MODE_DIRECTED?>', data );
    $('#dotrender_preview_graph').load( '<?php echo $refresh?>&mode=<?php echo DotRenderer::MODE_UNDIRECTED?>', data );
}

$('form#dotrender-global-settings').submit( function()
    {
        var code = dotEditor.getValue();
        if ( code.search( '%BLOCKCODE%' ) == -1 )
        {
            ccm_addError( "<?php echo t('You need to add %s to the template in order to render dot images.', '%BLOCKCODE%')?>" );
            showUIErrors();
            return false;
        }
        if ( code.search( '%GRAPHID%' ) == -1 )
        {
            ccm_addError( "<?php echo t('You need to add %s to the template to render CMapX type images.', '%GRAPHID%')?>" );
            showUIErrors();
            return false;
        }
        $('#dottemplate').val( code );
    }
)
</script>
