<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright 2013 Florian Delizy <florian.delizy@gmail.com>                    *
 *-----------------------------------------------------------------------------*
 */


$form = \Core::make('helper/form');
$ui   = \Core::make('helper/concrete/ui');
$dash = \core::make('helper/concrete/dashboard');

# echo $dash->getDashboardPaneHeaderWrapper(t('Dot Render Cache Settings'),
#                                           t('Configure / Clear Dot Render Cache. Notice that DotRender cache is automatically cleared when concrete5 cache is cleared'),
#                                           'span12', '', array(), false);

$action = $this->action('save_cache_settings');
?>

<form id="dotrender-cache-settings" method="post" action="<?php echo $action?>">
	<fieldset>
		<div class="ccm-pane-body">
			<?php echo $errors->output(); ?>

			<!-- Use Cache (boolean) -->
			<div class="form-group" style="text-align:right" >
 				<?php echo  $form->label('dotUseCache', t('Activate Cache'), array( 'class' => 'col-sm-4') )?>
				<div class="input col-sm-8" style="text-align:left">
					<?php echo $form->checkbox( 'dotUseCache', 1, $dotUseCache ); ?>
					<div class="help-box">
						<?php echo t('It is strongly recommended to activate the cache for performance reasons, rendering dot graphics may be very CPU intensive')?>
					</div>
				</div>
			</div>

			<!-- Dot Path : executable path -->
			<div class="form-group" style="text-align:right; clear:both">
				<?php echo  $form->label('dotCachePath', t('Cache Path :'), array( 'class' => 'col-sm-4') )?>
				<div class="input col-sm-8">
					<?php echo $form->text( 'dotCachePath', $dotCachePath ); ?>
					<a href="javascript:void(0)" onclick="$('#dotCachePath').val('<?php echo \Config::get('concrete.cache.directory')?>')"><?php echo t("Reset to default")?></a>
				</div>
			</div>
		</div>

	</fieldset>

    <!-- Buttons -->
    <div class="ccm-dashboard-form-actions-wrapper">
        <div class="ccm-dashboard-form-actions">
            <?php echo  $ui->submit(t('Clear Cache'), 'clear-cache','left', 'btn-danger'); ?>
            <?php echo  $ui->submit(t('Save'), 'save','right','btn-primary'); ?>
        </div>
    </div>
</form>

<?php 
// vim: set noexpandtab ts=4 :
